Bug 13817 - Неверные умолчания в /usr/bin/vncserver
: Неверные умолчания в /usr/bin/vncserver
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/tightvnc-server)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-12-27 23:35 by
Modified: 2008-03-14 14:54 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-12-27 23:35:08
1. В исполняемом файле не должны хранится изменяемые настройки,
для этого должен быть /etc/vncserver.conf или как-то так.
2. Неверное умолчание для $fontPath = "unix/:7100";
Наш XFS по умолчанию слушает на unix/:-1
3. Пример пути для шрифтов указан устаревший, надо поменять
# $fontPath = "/usr/lib/X11/fonts/misc/,/usr/lib/X11/fonts/75dpi/";
4. Вообще по новому подходу лучше указать пути к шрифтам, а на XFS не 
ссылаться
5. Неверный и закомментированный путь к # $colorPath = "/usr/lib/X11/rgb";

Вот текущие настройки:
$geometry = "1024x768";
$depth = 24;
$desktopName = "X";
$vncClasses = "/usr/share/vnc/classes";
$vncUserDir = "$ENV{HOME}/.vnc";
$fontPath = "unix/:7100";
$authType = "-rfbauth $vncUserDir/passwd";

# Here is another example of setting the font path:
# $fontPath = "/usr/lib/X11/fonts/misc/,/usr/lib/X11/fonts/75dpi/";

# X colors database path is optional, uncomment and edit to use:
# $colorPath = "/usr/lib/X11/rgb";
------- Comment #1 From 2007-12-28 07:03:47 -------
(In reply to comment #0)
> 1. В исполняемом файле не должны хранится изменяемые настройки,
> для этого должен быть /etc/vncserver.conf или как-то так.
Это требует переделки, и баг вообще-то должен иметь severity: enhancement
> 2. Неверное умолчание для $fontPath = "unix/:7100";
> Наш XFS по умолчанию слушает на unix/:-1
А наш - unix/:7100
И что? 
> 3. Пример пути для шрифтов указан устаревший, надо поменять
> # $fontPath = "/usr/lib/X11/fonts/misc/,/usr/lib/X11/fonts/75dpi/";
А вот с этим ничего не сделаешь...
> 4. Вообще по новому подходу лучше указать пути к шрифтам, а на XFS не 
> ссылаться
... потому что Xvnc сейчас представляет собой кусок от Xfree86 cтарого образца,
которые не умеют (вообще!) работать с fontpath, а только с Xfs.
Сборка же с последним Xorg нетривиальна - она требует сконфигурированного
ПОЛНОГО дерева Xorg. Буду благодарен за советы, как это правильно сделать.
> 5. Неверный и закомментированный путь к # $colorPath = "/usr/lib/X11/rgb";
А это надо вообще для Xvnc? 
> 
> Вот текущие настройки:
> $geometry = "1024x768";
> $depth = 24;
> $desktopName = "X";
> $vncClasses = "/usr/share/vnc/classes";
> $vncUserDir = "$ENV{HOME}/.vnc";
> $fontPath = "unix/:7100";
> $authType = "-rfbauth $vncUserDir/passwd";
> 
> # Here is another example of setting the font path:
> # $fontPath = "/usr/lib/X11/fonts/misc/,/usr/lib/X11/fonts/75dpi/";
> 
> # X colors database path is optional, uncomment and edit to use:
> # $colorPath = "/usr/lib/X11/rgb";

------- Comment #2 From 2007-12-28 22:59:56 -------
(In reply to comment #1)
> ... потому что Xvnc сейчас представляет собой кусок от Xfree86 cтарого 
образца,
> которые не умеют (вообще!) работать с fontpath, а только с Xfs.

Тебя в который раз послать^Wотослать к дебиановскому пакету?
------- Comment #3 From 2007-12-29 01:09:56 -------
(In reply to comment #2)
> (In reply to comment #1)
> > ... потому что Xvnc сейчас представляет собой кусок от Xfree86 cтарого 
> образца,
> > которые не умеют (вообще!) работать с fontpath, а только с Xfs.
> 
> Тебя в который раз послать^Wотослать к дебиановскому пакету?

Пожалуйста со ссылкой, к которому именно?
------- Comment #4 From 2007-12-29 01:18:35 -------
даа... нашел... tightvnc_1.2.9-21.diff.gz 
они его СИЛЬНО отпатчили... посмотрю...
------- Comment #5 From 2007-12-29 01:32:48 -------
Что мешало сделать это после первой или там, к примеру, 3-й отсылки туда?
------- Comment #6 From 2008-01-29 20:54:14 -------
*** Bug 14237 has been marked as a duplicate of this bug. ***
------- Comment #7 From 2008-01-30 10:22:00 -------
Возобновляю работу над этим багом.
------- Comment #8 From 2008-01-30 17:29:36 -------
Ура :-)

В будущем, если понадобится более-менее удобный поиск патчей из
Gentoo/Ubuntu/Debian -- см. тж. http://search.linux.kiev.ua (и могу дать шелл
около ftp).
------- Comment #9 From 2008-02-02 11:42:24 -------
В сизиф выкладывается alt8.
------- Comment #10 From 2008-02-02 19:55:31 -------
Надо бы в branch ?
------- Comment #11 From 2008-02-02 23:16:28 -------
Погодите, проверим пару дней, отшлифуем...
------- Comment #12 From 2008-02-04 10:19:23 -------
Стоит ли делать /usr/bin/vncserver %_config?
(чтобы он при обновлении не переписывался?)
------- Comment #13 From 2008-02-04 12:45:29 -------
(In reply to comment #12)
> Стоит ли делать /usr/bin/vncserver %_config?
> (чтобы он при обновлении не переписывался?)

Если отвечать без мата - то нет, не стоит.
------- Comment #14 From 2008-02-04 23:11:12 -------
(In reply to comment #9)
> В сизиф выкладывается alt8.
Спасибо!

(In reply to comment #13)
> > Стоит ли делать /usr/bin/vncserver %_config?
> > (чтобы он при обновлении не переписывался?)
Зачем ему не переписываться?  /usr -- не место для %config, см. FHS (пакет fhs).
 И он вообще может быть недоступен по записи.

> Если отвечать без мата
Да уж попробуй как-нить.  Поверь, с тобой тоже бывало по-разному:

---
Сейчас гляну, у меня где-то валялась OSS с кряком...
--- wrar@ in community@ [2003-December/304961]

И со мной -- тоже.
------- Comment #15 From 2008-02-05 09:45:35 -------
Уже в сизифе, потестируйте, пожалуйста, перед branch.
------- Comment #16 From 2008-02-05 18:05:44 -------
У меня работает (4.0.1, 4.0.2).
Спасибо.
------- Comment #17 From 2008-02-06 12:56:36 -------
Cтавлю FIXED.